Bug 602175 - ekiga locks up with bluetooth headset
ekiga locks up with bluetooth headset
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 06:10 EDT by oliver
Modified: 2011-06-27 13:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:52:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ekiga -d 4 logfile corresponding to "Actual Results" (99.37 KB, application/octet-stream)
2010-06-09 06:10 EDT, oliver
no flags Details
ekiga -d 4 logfile corresponding to "Expected Results" (with internal audio) (122.41 KB, text/plain)
2010-06-09 06:13 EDT, oliver
no flags Details

  None (edit)
Description oliver 2010-06-09 06:10:53 EDT
Created attachment 422495 [details]
ekiga -d 4 logfile corresponding to "Actual Results"

Description of problem:

Ekiga answers a phone call correctly when connected to the internal speakers of my laptop, but when used with an external bluetooth headset, it hangs.

Version-Release number of selected component (if applicable):

ekiga-3.2.7-1.fc13 (all other components also current F13 as of today)

How reproducible:

Always

Steps to Reproduce:
1. Establish Bluetooth Connection with headset (tested with Sennheiser MM200)
2. Open "Sound Preferences" and swith Profile of headset to "Telephony Duplex (HSP/HFP)" and switch input and output to headset
3. Open ekiga, enter valid SIP account (tested with sip.arcor.de), wait for it to register
4. Call SIP provider from regular telephone
  
Actual results:

1. No ringtone in calling telephone, no incoming call ringtone in headset
2. Popup message indicates incoming call
3. After clicking "Accept", ringtone in calling telephone starts
4. ekiga hangs and must be killed manually

Expected results:

1. Ringtone in calling telephone
2. Popup message indicating incoming call, incoming call ringtone in headset
3. After clicking accept, phone connection is established

This works as expected as soon as, in "Sound Preferences", I switch back to the internal input/output devices

Additional info:

Hardware: Tested on Dell XPS M1330 with Intel 82801H (ICH8 Family) HD Audio Controller.  This machine has a known bug with the internal microphone

https://bugzilla.redhat.com/show_bug.cgi?id=474477

(unfixed for ages) which means that in order to use telephony on this machine, one has to get an external microphone working.
Comment 1 oliver 2010-06-09 06:13:14 EDT
Created attachment 422498 [details]
ekiga -d 4 logfile corresponding to "Expected Results" (with internal audio)
Comment 2 Peter Robinson 2011-01-23 09:32:58 EST
ekiga 3.3.0 beta release has support for PulseAudio so support for BT headsets should be much improved. This is currently in Fedora 15 rawhide if your have the ability to test it.
Comment 3 Bug Zapper 2011-06-02 07:28:21 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 13:52:07 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.